Class | Sequel::Mock::Database
In: | lib/sequel/adapters/mock.rb
Parent: | Sequel::Database

Database class for Sequel‘s mock adapter.

### Constants

SHARED_ADAPTERS | = | { 'access'=>'Access', 'db2'=>'DB2', 'firebird'=>'Firebird', 'informix'=>'Informix', 'mssql'=>'MSSQL', 'mysql'=>'MySQL', 'oracle'=>'Oracle', 'postgres'=>'Postgres', 'sqlite'=>'SQLite' |  | Map of database type names to module names, used for handling mock adapters for specific database types.
SHARED_ADAPTER_SETUP | = | { 'postgres' => lambda do |db| db.instance_eval do @server_version = 90103 |  | Procs to run for specific database types to get the mock adapter to work with the shared adapter

[Validate]